org.apache.cassandra.cache

## Interface CacheKey

All Superinterfaces:
  IMeasurableMemory

All Known Implementing Classes:
  CounterCacheKey, KeyCacheKey, RowCacheKey

    public interface CacheKey
    extends IMeasurableMemory

### Nested Class Summary

Nested Classes
`static class` `CacheKey.PathInfo`

### Method Summary

Methods
`CacheKey.PathInfo` `getPathInfo()`

### Methods inherited from interface org.apache.cassandra.cache.IMeasurableMemory

`unsharedHeapSize`

### Method Detail

#### getPathInfo

    CacheKey.PathInfo getPathInfo()

Returns:
  The keyspace and ColumnFamily names to which this key belongs